Bug 225280 - I18N: WebStorePanel messages are garbled because ascii font is hardcoded
I18N: WebStorePanel messages are garbled because ascii font is hardcoded
Status: VERIFIED FIXED
Product: ide
Classification: Unclassified
Component: Extbrowser
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Tomas Mysik
issues@web
: 73_HR_FIX, I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 11:27 UTC by Masaki Katakai
Modified: 2013-01-28 07:30 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (18.50 KB, image/png)
2013-01-24 11:27 UTC, Masaki Katakai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2013-01-24 11:27:23 UTC
Created attachment 130574 [details]
screenshot

Please find screenshot in attachment. All japanese strings are garbled (rectangle)
and user is not able to understand it. Please remove "Tahoma" from .form.
This is an ascii font so multibyte characters become all rectangle.

extbrowser/src/org/netbeans/modules/extbrowser/plugins/chrome/WebStorePanel.java:

  warningTextLbl.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N

extbrowser/src/org/netbeans/modules/extbrowser/plugins/chrome/WebStorePanel.form:

  <Font name="Tahoma" size="11" style="1"/>

This is a very high priority bug, because user can not understand how to operate next
on major feature of NetBeans 7.3.

Please consider and try to fix until FCS.
Comment 1 Petr Jiricka 2013-01-24 12:43:18 UTC
Tomas, could you please investigate this? I believe it was Denis who originally implemeted this, but there are some other important tasks that Denis is working on now. Thanks.
Comment 2 Tomas Mysik 2013-01-25 05:56:31 UTC
Will have a look.
Comment 3 Tomas Mysik 2013-01-25 06:04:43 UTC
Fixed, please verify. Thanks.

http://hg.netbeans.org/web-main/rev/7360cd9461fb
Comment 4 Vladimir Riha 2013-01-25 08:09:26 UTC
I'll probably have to wait for trunk build to verify it as continuous build seems to be missing localization (--locale ja:JP does nothing on build from web-main and locale folders are missing)
Comment 5 Ondrej Brejla 2013-01-25 08:38:13 UTC
Ok for me.
Comment 6 Quality Engineering 2013-01-26 03:04:30 UTC
Integrated into 'main-golden', will be available in build *201301260001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7360cd9461fb
User: Tomas Mysik <tmysik@netbeans.org>
Log: #225280 - I18N: WebStorePanel messages are garbled because ascii font is hardcoded
Comment 7 Vladimir Riha 2013-01-26 07:52:42 UTC
verified in trunk

Product Version: NetBeans IDE Dev (Build 201301260001)
Java: 1.7.0_11; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; ja_JP (nb)
Comment 8 Tomas Mysik 2013-01-26 16:12:26 UTC
Patch transplanted to release73 branch in releases repository.

http://hg.netbeans.org/releases/rev/e87434500ca5
Comment 9 Quality Engineering 2013-01-27 01:14:59 UTC
Integrated into 'releases', will be available in build *201301262200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/e87434500ca5
User: Tomas Mysik <tmysik@netbeans.org>
Log: #225280 - I18N: WebStorePanel messages are garbled because ascii font is hardcoded
(transplanted from 7360cd9461fbc819aa3ec262644e5e042f4d2c0f)
Comment 10 Vladimir Riha 2013-01-28 07:30:14 UTC
verified

Product Version: NetBeans IDE 7.3 RC1 (Build 201301272200)
Java: 1.7.0_11; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo